Forums » Plugin: Quick Event Manager » Error in wp-includes

  • Resolved thierrylarrue

    (@thierrylarrue)


    Hi !

    I get this type of error. Do you know where it comes from?
    WP version: 6.1.1
    PHP: 8.0

    In fact, in the BO of the extension, I can’t modify the image, the datepicker doesn’t seem to work (if there is one, obviously)
    Thanks for your help

    Fatal error: Uncaught TypeError: array_filter(): Argument #1 ($array) must be of type array, string given in /…/…./…/wp-includes/class-wp-user-query.php:479 Stack trace: #0 /…/…./…/wp-includes/class-wp-user-query.php(479): array_filter() #1 /…/…./…/wp-includes/class-wp-user-query.php(78): WP_User_Query->prepare_query() #2 /…/…./…/wp-includes/user.php(763): WP_User_Query->__construct() #3 /…/…./…/wp-includes/user.php(1655): get_users() #4 /…/…./…/wp-admin/includes/meta-boxes.php(917): wp_dropdown_users() #5 /…/…./…/wp-admin/includes/template.php(1409): post_author_meta_box() #6 /…/…./…/wp-admin/edit-form-advanced.php(688): do_meta_boxes() #7 /…/…./…/wp-admin/post.php(206): require(‘/…/….’) #8 {main} thrown in /…/…/…/wp-includes/class-wp-user-query.php on line 479

Viewing 12 replies - 1 through 12 (of 12 total)
  • Plugin Author Alan Fuller

    (@alanfuller)

    Hi,

    The error log does not tell me very much as it is referencing only an internal wp call wp-includes/class-wp-user-query.php:479

    What steps do you take to encounter the error?

    Thread Starter thierrylarrue

    (@thierrylarrue)

    Hi Alan,

    The message appears when I edit an event in the Author section

    Question : Is the plugin compatible with version PHP 8.x ?

    Thanks

    Plugin Author Alan Fuller

    (@alanfuller)

    I test up to PHP 8.1

    the are some notices and warnings but not errors.

    Can you explain a bit more precisely what “The message appears when I edit an event in the Author section” – maybe a screen shot – you can add image links to image sharing services here – so I can try and reproduce.

    Thread Starter thierrylarrue

    (@thierrylarrue)

    To get the details of the error I switched to WP_DEBUG : true

    Hereafter the link :

    https://drive.google.com/file/d/1dIDvACq6mPhanVJFPB2XDpuwLWTmv9_4/view?usp=share_link

    Thanks !

    Plugin Author Alan Fuller

    (@alanfuller)

    Ok I can see that you are getting an issue on the Author box but beyond that I can’t reproduce similar in my tests.

    We need to eliminate theme or plugin conflicts that my intereact with this.

    This may be a plugin or theme conflict. Please attempt to disable all plugins, and use one of the default (Twenty*) themes. If the problem goes away, enable them one by one to identify the source of your troubles.

    You can do this without impacting live users, read on …

    If you can install plugins, install and activate “Health Check”: https://wordpress.org/plugins/health-check/
    It will add some additional features under the menu item under Tools > Site Health.
    On its troubleshooting tab, you can Enable Troubleshooting Mode. This will disable all plugins, switch to a standard WordPress theme (if available), allow you to turn your plugins on and off and switch between themes, without affecting normal visitors to your site. This allows you to test for various compatibility issues.
    There’s a more detailed description about how to use the Health Check plugin and its Troubleshooting Mode at https://make.wordpress.org/support/handbook/appendix/troubleshooting-using-the-health-check/

    Thread Starter thierrylarrue

    (@thierrylarrue)

    Hi Alan

    Sorry for the late return but it is indeed an incompatibility with version 8 of php everything works fine when I switch back to 7.4

    However, I have other warnings that appear

    Warning: array_filter() expects parameter 1 to be array, string given in …/wp-includes/class-wp-user-query.php on line 479

    Warning: array_keys() expects parameter 1 to be array, null given in …/wp-includes/class-wp-user-query.php on line 479

    Warning: in_array() expects parameter 2 to be array, null given in
    …/wp-includes/class-wp-user-query.php on line 482

    Warning: array_filter() expects parameter 1 to be array, string given in …/wp-includes/class-wp-user-query.php on line 479

    Warning: array_keys() expects parameter 1 to be array, null given in …/wp-includes/class-wp-user-query.php on line 479

    Warning: in_array() expects parameter 2 to be array, null given in
    …/wp-includes/class-wp-user-query.php on line 482

    Warning: array_filter() expects parameter 1 to be array, string given in …/wp-includes/class-wp-user-query.php on line 479

    Warning: array_keys() expects parameter 1 to be array, null given in …/wp-includes/class-wp-user-query.php on line 479

    Warning: in_array() expects parameter 2 to be array, null given in
    …/wp-includes/class-wp-user-query.php on line 482

    Thanks for help

    Regards

    Thierry

    Plugin Author Alan Fuller

    (@alanfuller)

    Thanks – I will have another look however as of yest I can’t reproduce.

    • This reply was modified 1 year, 2 months ago by Alan Fuller.
    Thread Starter thierrylarrue

    (@thierrylarrue)

    Hi Alan !

    Sorry for the late feedback. I’m going back to my stagging site. I just tested again by switching PHP versions from one to another, (i.e. from 7.4 to v8.x) as soon as I switch to 8.x, some elements don’t work anymore, like for example. the date picker, the image insertion, the text of the description which is displayed in white. All the plugins are deactivated, I only use the Twenty Twenty-Three template. You can’t do more native ;-).
    I don’t understand why you can’t reproduce this phenomenon.
    If you find a solution, I will be happy to use your plugin.

    Best regards

    Thierry

    Plugin Author Alan Fuller

    (@alanfuller)

    You say 8.x can you be specific is that 8.0 or 8.1?

    Plugin Author Alan Fuller

    (@alanfuller)

    I can not replicate in test.

    Please review my vodeo and see if you have anything different.

    Also inspect your browser console for javascript issues.

    • This reply was modified 1 year, 2 months ago by Alan Fuller.
    Thread Starter thierrylarrue

    (@thierrylarrue)

    Thanks Alan!

    Finally, I created a new WP instance (php 8.1) and it seems to work, indeed. I think my test site was polluted by all the plugins I tested there.
    I close this ticket, hoping I won’t need to ask you again.

    Thanks for help again

    Regards

    Thierry

    Plugin Author Alan Fuller

    (@alanfuller)

    Thanks for taking the time to confirm. Much appreciated. I always am concerned if there are untracable issues.

Viewing 12 replies - 1 through 12 (of 12 total)
  • The topic ‘Error in wp-includes’ is closed to new replies.